DCMTK - Feature #1037

dcm2pnm/decmj2pnm should support an "auto” option for the output format

2022-10-05 15:11 - J6rg Riesmeier

Status: Closed
Priority: Normal
Assignee:

Category: Application

Target version:
Module: dcmimage, dcmijpeg

Operating System:

Start date: 2022-10-05
Due date:

% Done: 100%
Estimated time: 0:00 hour
Compiler:

Description

The tool dcm2pnm/dcmj2pnm should support an "auto" option for the output format, e.g. "--write-auto-format". This automatic
detection will work based on the filename extension of the output file. It would probably also make sense to use this new "auto"
option as the default (instead of "--write-raw" or "write-8-bit-pnm" as it is now).

History

#1 - 2022-10-05 15:12 - J6rg Riesmeier

- Description updated

#2 - 2024-09-18 11:29 - J6rg Riesmeier
- Status changed from New to Closed

- Assignee deleted (J6rg Riesmeier)

- % Done changed from 0 to 100

- Module changed from demimagem dcmjpeg to dcmimage, decmjpeg

Closed with commit 8fe94d820e and 565b851b7f.

2025-09-06

1/1



http://www.tcpdf.org

